#!/bin/sh

LIB_PATH=lib/*
BIN_PATH=bin/
CLASS_PATH=${LIB_PATH}:${BIN_PATH}

if [ $# -lt 3 ]; then
    echo "usage: $0 LoginWithSAPOExample <consumer key> <consumer secret>";
    echo "usage: $0 AccessProtectedResourceExample <consumer key> <consumer secret>";
    exit 1;
fi

APP=$1
CK=$2
CS=$3

java -cp ${CLASS_PATH} pt.sapo.connect.${APP} ${CK} ${CS}
