package pt.sapo.connect;

import org.scribe.builder.api.DefaultApi10a;
import org.scribe.model.Token;

public class SAPOConnectApi extends DefaultApi10a {

    private static final String AUTHORIZE_URL = "https://id.sapo.pt/oauth/authorize?oauth_token=%s";

    @Override
    public String getAccessTokenEndpoint() {
        return "https://id.sapo.pt/oauth/access_token";
    }

    @Override
    public String getAuthorizationUrl(Token requestToken) {
        return String.format(AUTHORIZE_URL, requestToken.getToken());
    }

    @Override
    public String getRequestTokenEndpoint() {
        return "https://id.sapo.pt/oauth/request_token";
    }
}
